Bug 107499 - combination of SPACE/TAB characters in netgroup file may cause problems
combination of SPACE/TAB characters in netgroup file may cause problems
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 10:12 EDT by Denice
Modified: 2007-04-18 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:59:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denice 2003-10-19 10:12:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When ypserv went from 2.5-2.7x to 2.8-0.9E this summer a new feature was
introduced.  Basically with the latest version of ypserv, the makedbm program
will only parse correctly  map files which either:
 -  use only TABs between the key and its values
or
 -  use only SPACES everywhere between all keys/value items for any
    particular netgroup name

This was not the case prior to 2.8-0.9E 

Some maps are  massaged in the Makefile to force a TAB char between the key and
its values, but maps like netgroup are not.  So if you have a netgroup where you
have a SPACE followed by a TAB between the key and its values then your netgroup
will effectively not exist.  Stepping through the makedbm code I can see that
the key is generated with a trailing space, and this seems to be what causes the
problem.


Version-Release number of selected component (if applicable):
ypserv-2.8-0.73E

How reproducible:
Always

Steps to Reproduce:
1. with ypserv installed, make a netgroup where you place a space and then a tab
between the key and its value(s)
2. run make in /var/yp
3. query the netgroup (suppose that it was called 'grpx')
   ypmatch grpx netgroup


Actual Results:  You will get:
   Can't match key grpx in map netgroup. Reason: No such key in map

Additional info:

I have sent a note to the author of this code, suggesting that at a minimum the
documentation and examples should be changed to tell people to just use TABs.

I was burned this summer when I tried to apply the patch on my NIS master.  At
the time I couldn't sort out what the problem was, and I had to back out of the
patch.  I finally took the time to sort it out this weekend.  I think it would
be good to at least document this feature, so that others aren't surprised by an
accidental edit in the /etc/netgroup file.
Comment 1 Denice 2003-10-22 13:08:17 EDT
Thorsten Kukuk sent me email saying this should be fixed in ypserv 2.10
I'll give it a try and report back.
Comment 2 Bill Nottingham 2006-08-05 01:20:06 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Denice 2006-08-07 15:14:28 EDT
It's been a few years, I haven't run any NIS servers since 2004, and I see from
the changelog output that ypserv was updated to the upstream version in 2004
where the bug would have been fixed.  Sounds like this bug should be closed.
Comment 4 Bill Nottingham 2006-08-07 15:41:14 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Bill Nottingham 2006-10-18 12:59:44 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.